Name: itimer
Summary: A timer package for emacs
Version: 1.05
Release: 1
Source: itimer-1.05.tar.gz
Icon: gnu.gif
Group: Applications/Editors/Emacs
BuildRoot: /tmp/itimerbuild
Copyright: GPL
Packager: Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org>

%description
A small package which allows you to run code in emacs at certain
time intervals.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -c

%build
emacs -batch -f batch-byte-compile itimer.el
emacs -batch -l itimer.elc -f batch-byte-compile ntime.el
gcc -o itimer $RPM_OPT_FLAGS itimer.c
strip itimer

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -c -m 644 itimer.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/itimer.el
install -c -m 644 itimer.elc $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/itimer.elc
install -c -m 644 ntime.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/ntime.el
install -c -m 644 ntime.elc $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/ntime.elc
install -c -m 755 itimer $RPM_BUILD_ROOT/usr/bin/itimer

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/itimer-1.05

%post
cat >> /usr/share/emacs/site-lisp/site-start.el << EOF
;; itimer-start
(autoload 'start-itimer "itimer"
  "Start an itimer.
Arguments are
  NAME, FUNCTION, VALUE &optional RESTART, IS-IDLE, WITH-ARGS, &rest FUNCTION-ARGUMENTS.
NAME is an identifier for the itimer.  It must be a string.  If an itimer
  already exists with this name, NAME will be modified slightly to until
  it is unique.
FUNCTION should be a function (or symbol naming one).  It
  will be called each time the itimer expires with arguments of
  FUNCTION-ARGUMENTS.  The function can access the itimer that
  invoked it through the variable \`current-itimer'.  If WITH-ARGS
  is nil then FUNCTION is called with no arguments.  This is for
  backward compatibility with older versions of the itimer
  package which always called FUNCTION with no arguments.
VALUE is the number of seconds until this itimer expires.
  If your version of Emacs supports floating point numbers then
  you can VALUE can be a floating point number.  Otherwise it
  must be an integer.
Optional fourth arg RESTART non-nil means that this itimer should be
  restarted automatically after its function is called.  Normally an itimer
  is deleted at expiration after its function has returned. 
  If non-nil RESTART should be a number indicating the value at which the
  itimer should be set at restart time.
Optional fifth arg IS-IDLE specified if this is an idle timer.
  Normal timers eexpire after a set interval.  Idle timers expire
  only after Emacs has been idle for specific interval.  \`\`Idle''
  means no command events within the interval.
Returns the newly created itimer." t)
(autoload 'list-itimers "itimer"
  "Pop up a buffer containing a list of all itimers.
The major mode of the buffer is Itimer Edit mode.  This major mode provides
commands to manipulate itimers; see the documentation for
\`itimer-edit-mode' for more information." t)
(autoload 'edit-itimers "itimer"
  "Display a list of all itimers and select it for editing.
The major mode of the buffer containing the listing is Itimer Edit mode.
This major mode provides commands to manipulate itimers; see the documentation
for \`itimer-edit-mode' for more information." t)
;; itimer-end
EOF

%postun
ed /usr/share/emacs/site-lisp/site-start.el << EOF
/itimer-start/,/itimer-end/d
w
q
EOF


%files
%doc README
/usr/bin/itimer
/usr/share/emacs/site-lisp/itimer.el
/usr/share/emacs/site-lisp/itimer.elc
/usr/share/emacs/site-lisp/ntime.el
/usr/share/emacs/site-lisp/ntime.elc
